zenilib: PCF_FaceRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
PCF_FaceRec_ Struct Reference

`#include <pcf.h>`

## Public Attributes

PCF_AccelRec | accel
FT_ULong | bitmapsFormat
FT_CharMapRec | charmap
FT_CharMap | charmap_handle
char * | charset_encoding
char * | charset_registry
FT_Stream | comp_source
FT_StreamRec | comp_stream
FT_Short | defaultChar
PCF_Encoding | encodings
PCF_Metric | metrics
FT_Long | nencodings
FT_Long | nmetrics
int | nprops
PCF_Property | properties
FT_FaceRec | root
PCF_TocRec | toc

## Detailed Description

Definition at line 135 of file pcf.h.

## Member Data Documentation

PCF_AccelRec PCF_FaceRec_::accel

Definition at line 146 of file pcf.h.

Referenced by pcf_get_accel(), PCF_Glyph_Load(), and PCF_Size_Request().

FT_ULong PCF_FaceRec_::bitmapsFormat

Definition at line 158 of file pcf.h.

Referenced by pcf_get_bitmaps(), and PCF_Glyph_Load().

FT_CharMapRec PCF_FaceRec_::charmap

Definition at line 161 of file pcf.h.

FT_CharMap PCF_FaceRec_::charmap_handle

Definition at line 160 of file pcf.h.

char* PCF_FaceRec_::charset_encoding

Definition at line 142 of file pcf.h.

Referenced by PCF_Face_Done(), PCF_Face_Init(), and pcf_get_charset_id().

char* PCF_FaceRec_::charset_registry

Definition at line 143 of file pcf.h.

Referenced by PCF_Face_Done(), PCF_Face_Init(), and pcf_get_charset_id().

FT_Stream PCF_FaceRec_::comp_source

Definition at line 140 of file pcf.h.

Referenced by PCF_Face_Done(), and PCF_Face_Init().

FT_StreamRec PCF_FaceRec_::comp_stream

Definition at line 139 of file pcf.h.

Referenced by PCF_Face_Done(), and PCF_Face_Init().

FT_Short PCF_FaceRec_::defaultChar

Definition at line 156 of file pcf.h.

Referenced by pcf_get_encodings().

PCF_Encoding PCF_FaceRec_::encodings

Definition at line 154 of file pcf.h.

Referenced by pcf_cmap_init(), PCF_Face_Done(), and pcf_get_encodings().

PCF_Metric PCF_FaceRec_::metrics

Definition at line 152 of file pcf.h.

Referenced by PCF_Face_Done(), pcf_get_bitmaps(), pcf_get_metrics(), and PCF_Glyph_Load().

FT_Long PCF_FaceRec_::nencodings

Definition at line 153 of file pcf.h.

Referenced by pcf_cmap_init(), and pcf_get_encodings().

FT_Long PCF_FaceRec_::nmetrics

Definition at line 151 of file pcf.h.

Referenced by pcf_get_bitmaps(), and pcf_get_metrics().

int PCF_FaceRec_::nprops

Definition at line 148 of file pcf.h.

Referenced by PCF_Face_Done(), and pcf_get_properties().

PCF_Property PCF_FaceRec_::properties

Definition at line 149 of file pcf.h.

Referenced by PCF_Face_Done(), and pcf_get_properties().

FT_FaceRec PCF_FaceRec_::root

Definition at line 137 of file pcf.h.

Referenced by PCF_Glyph_Load().

PCF_TocRec PCF_FaceRec_::toc

Definition at line 145 of file pcf.h.

Referenced by PCF_Face_Done(), pcf_get_accel(), pcf_get_bitmaps(), pcf_get_encodings(), pcf_get_metrics(), pcf_get_properties(), and pcf_read_TOC().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/pcf/pcf.h